{-# LANGUAGE TypeOperators #-}
{-# LANGUAGE DeriveGeneric #-}
module Gargantext.API.Routes.Named.Count (
  -- * Routes types
    CountAPI(..)

  -- * Re-exports
  , module X
  ) where

import GHC.Generics
import Servant
import Gargantext.API.Count.Types as X


newtype CountAPI mode = CountAPI
  { postCountsEp :: mode :- Post '[JSON] X.Counts
  } deriving Generic
